Overview | Modules | Class Hierarchy | Classes | Members

# tlp::CSVParser Class Reference

`#include <CSVParser.h>`

List of all members.

## Public Member Functions

- CSVParser ()
- virtual ~CSVParser ()
- void setRemoveQuotes (bool removeQuotes)
- virtual void parse (const std::string &fileName, const std::string &separator, CSVContentHandler *handler, tlp::PluginProgress *progress=NULL)

## Protected Member Functions

- virtual std::string treatToken (const std::string &token, int row, int column)

## Constructor & Destructor Documentation

tlp::CSVParser::CSVParser | ( |  | ) |

virtual tlp::CSVParser::~CSVParser | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void tlp::CSVParser::parse | ( | const std::string & | fileName,
|  | const std::string & | separator,
|  | CSVContentHandler * | handler,
|  | tlp::PluginProgress * | progress = `NULL`
| ) | `[virtual]`

void tlp::CSVParser::setRemoveQuotes | ( | bool | removeQuotes | ) | `[inline]`

virtual std::string tlp::CSVParser::treatToken | ( | const std::string & | token,
|  | int | row,
|  | int | column
| ) | `[protected, virtual]`

Tulip Software by LaBRI Visualization Team 2001 - 2010